Campaign notifications
GET https://japaso.com/api/notifications/
curl --request GET \
--url 'https://japaso.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Allowed values: informational , coupon , live_counter , email_collector , conversions , conversions_counter , video , audio , social_share , reviews , emoji_feedback , cookie_notification , score_feedback , request_collector , countdown_collector , custom_html |
| order_by | Optional String | What field to order the results by. Allowed values are: notification_id , datetime , last_datetime , name , impressions , hovers , clicks , form_submissions. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-03-01 08:36:40",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://japaso.com/api/notifications?page=1",
"last": "https://japaso.com/api/notifications?page=1",
"next": null,
"prev": null,
"self": "https://japaso.com/api/notifications?page=1"
}
}
GET https://japaso.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-03-01 08:36:40",
}
}
POST https://japaso.com/api/notifications
| Parameters | Details | Description |
|---|---|---|
| campaign_id | Required Integer | - |
| type | Required String | Allowed values: informational , coupon , live_counter , email_collector , conversions , conversions_counter , video , audio , social_share , reviews , emoji_feedback , cookie_notification , score_feedback , request_collector , countdown_collector , custom_html |
| name | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://japaso.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
--url 'https://japaso.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
POST https://japaso.com/api/notifications/{notification_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| is_enabled | Optional Boolean | - |
| trigger_all_pages | Optional Boolean | - |
| display_trigger | Optional String |
Allowed values: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, click, hover |
| display_value | Optional String | - |
| display_delay_type_after_close | Optional String |
Allowed values: time_on_site, pageviews |
| display_delay_value_after_close | Optional Integer | - |
| display_frequency | Optional String |
Allowed values: all_time, once_per_session, once_per_browser |
| direction | Optional String |
Allowed values: rtl, ltr |
| display_continents | Optional Array String | - |
| display_countries | Optional Array String | - |
| display_languages | Optional Array String | - |
| display_operating_systems | Optional Array String | - |
| display_browsers | Optional Array String | - |
| display_cities | Optional Array String | - |
| display_mobile | Optional Boolean | - |
| display_desktop | Optional Boolean | - |
| schedule | Optional Boolean | - |
| start_date | Optional String | - |
| end_date | Optional String | - |
| display_duration | Optional Integer | - |
| display_position | Optional String |
Allowed values: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating |
| display_close_button | Optional Boolean | - |
| close_button_color | Optional String | - |
| dark_mode_close_button_color | Optional String | - |
| display_branding | Optional Boolean | - |
| shadow | Optional String |
Allowed values: , subtle, feather, 3d, layered |
| border_width | Optional Integer | Allowed values: 0, 1, 2, 3, 4, 5 |
| internal_padding | Optional Integer | Allowed values: 5-25 |
| background_blur | Optional Integer | Allowed values: 0-30 |
| custom_css | Optional String | - |
| hover_animation | Optional String |
Allowed values: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down |
| on_animation | Optional String |
Allowed values: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn |
| off_animation | Optional String |
Allowed values: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut |
| animation | Optional String |
Allowed values: , heartbeat, bounce, flash, pulse |
| animation_interval | Optional Integer | - |
| font | Optional String |
Allowed values: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus |
| border_radius | Optional String |
Allowed values: straight, rounded, highly_rounded, round |
| dark_mode_is_enabled | Optional Boolean | |
| notifications | Optional Array | Available when: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, conversions_counter, countdown_collector, request_collector, text_feedback Notification handler ids |
| translations[input_key][index]['key'] | Optional String | Available for all the marked for translation fields. |
| translations[input_key][index]['value'] | Optional String | Available for all the marked for translation fields. |
| data_trigger_auto | Optional Boolean | Available when: type = conversions counter |
| data_trigger_auto_type[index] | Optional Array String | Available when: type = conversions Allowed values: exact , contains , starts_with , ends_with |
| data_trigger_auto_value[index] | Optional Array String | Available when: type = conversions |
curl --request POST \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
DELETE https://japaso.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \